Cómo actualizar Chrome en Ubuntu, Debian y derivados

El viernes pasado, me topé con la ingrata sorpresa en la que a la hora de actualizar Google Chrome, el sistema de actualización me indicaba que le hacía falta el repositorio para 32 bits, el cual ya se había anunciado desde diciembre del año pasado. No obstante, esta medida se hizo efectiva el martes 3 de marzo, el cual se eliminó por completo el repositorio para la versión de 32 bits de Google Chrome.

Probablemente les haya aparecido un mensaje como éste:

W: Fallo al obtener http://dl.google.com/linux/chrome/deb/dists/stable/Release No se pudo encontrar la entrada esperada «main/binary-i386/Packages» en el archivo «Release» (entrada incorrecta en «sources.list» o fichero mal formado)

Ahora, para quienes estén usando las versiones de 64 bits de Ubuntu (exactamente, desde Trusty) y Debian Jessie, deben ejecutar la siguiente línea de comandos (si no tiene configurado el SUDO, le sugiero que lo ejecute bajo ROOT):

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list"

Sin embargo, para aquellas personas que sigan usando Ubuntu 12.04 (Precise Pangolin) y Debian 7 (Wheezy) sin importar si están usando las versiones de 32 y 64 bits, el soporte de Google Chrome ha sido completamente terminado, por lo que la única opción que les queda es simplemente desinstalar el navegador y usar nada más ni nada menos que la versión de Chromium que hay en dichos repositorios, usar otro navegador o simplemente actualizar la distribución respectiva, además de quitar el repositorio de Google Chrome.

sudo rm /etc/apt/sources.list.d/google-chrome.list
sudo apt-get remove google-chrome

No obstante, para aquellos usuarios que aún usan la versión de 32 bits de Google Chrome, aún se encuentra disponible el código fuente para compilarlo y ejecutarlo en su distro, o también poder descargarlo desde el repo de la distro en la cual ha de trabajar. Ésto también incluye las compilaciones de 32 bits de Google Chrome OS y Google Chrome para ARM, además de los derivados de Chroium como Opera.

Comparte para difundir

Si te ha gustado nuestro contenido ahora puedes ayudar a difundirlo en las redes sociales de manera sencilla usando los siguientes botones:

Envía
Pinea
Print

14 comentarios

  1.   Fulano Mengano dijo

    “Sin embargo, para aquellas personas que sigan usando Ubuntu 12.04 (Precise Pangolin) y Debian 7 (Wheezy) sin importar si están usando las versiones de 32 y 64 bits, el soporte de Google Chrome ha sido completamente terminado”

    No sé Ubuntu. En Debian 7 64 bits si puede seguir usando el repo de google para obtener las ultimas versiones.

    1.    eliotime3000 dijo

      Fe de erratas.

      Olvidé que dicha advertencia era para la versión de 32 bits de Ubuntu Precise y Debian Wheezy.

    2.    Yomi dijo

      Pues yo tengo instalado Debian Wheezy 64 bits y me aparece un mensaje que dice que Chrome no recibirá más actualizaciones. La versión instalada es 49.0.2623.87 (y al parecer es la última).

  2.   Uber Florez dijo

    Gracias

    Funciono en Ubuntu 15.10 – 64 bits

  3.   eneas_e dijo

    Gracias! Funcionó a la perfección en Xubuntu 14.04 de 64.

  4.   Jose Acosta dijo

    Gracias!! me funcionó en ubuntu 14.04LTS de 64

  5.   Jose Acosta dijo

    Gracias!! me funcionó en ubuntu 14.04LTS

  6.   Tobias dijo

    Me da igual,que Google se quede con su navegadorcillo no me hace falta,yo uso en Lubuntu 14.04 de 64 bits Firefox y Chomium que son libres de Spyware…

    1.    Azulejo dijo

      Ni tan libres pero estoy de acuerdo, que hagan lo que quieran, igual hay más opciones.

  7.   Xavi dijo

    Muchas gracias, estaba buscando la solución y no la encontraba, cuando dejo de buscarla… la encuentro de casualidad en el blog que leo siempre… este! Gracias.

  8.   Nasara dijo

    ¡Muchas gracias, crack!
    Solucionó el problema en Ubuntu Mate 15.10 x64

  9.   Jesús dijo

    Muchas gracias, corregido en Ubuntu 14.04 x64

  10.   Edgar dijo

    no hay mención sobre Ubuntu 16?

  11.   Edgar dijo

    Este es el resultado del test de Phoronix.
    Entiendo que estoy usando una actualización de Ubuntu para 64 bits, pero si no recuerdo mal tenía instalado el Ubuntu 14 a 32 bits.
    Como sospechais son MUY principiante.
    Es posible que se haya instalado una actualización incorrecta?
    Gracias

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.